vswrpt(1)

NAME
vswrpt - Report Generator for the VSW5 Test Suite

SYNOPSIS
vswrpt [ -d detail ] [ -f file_name ] [ -h ] [ -j dir_number ] [ -s scope ] [ -t test-case ] [ -u ] [ -v ] [ -w ]

DESCRIPTION
The VSW5 Report Generator (vswrpt) produces a report from a Test Environment Toolkit (TET) journal file produced from a run of the VSW5 Test Suite. The report is written to stdout.

vswrpt employs the standard TET journal information along with additional information provided by the Test Suite via the scenario file and the tests themselves. This data provides the names of Test Suite Sections and Test Cases as well as invariant Test Purpose numbering to allow vswrpt to detect missing Test Cases or Purposes.

The journal file given to vswrpt must be the result of a tcc command which includes the -e option. The -b and/or -c options may also have been used. vswrpt cannot be used on journal files which do not contain the additional information provided by VSW5.

OPTIONS

Journal File Selection

By default vswrpt uses the most recent journal file under the directory $TET_ROOT/vsw5/results as input. Three options allow specification of alternative files for use as the input journal.

-f file_name

Use the file file_name as the input journal.

-j dir_number

Use the file journal in the directory under $TET_ROOT/vsw5/results with the specified number as the input journal. Leading zeros and additional portions of the directory name need not be specified, i.e. -j 30 matches 0030bec/journal, 0030b/journal, etc.

-u  Use the most recent journal created by the user running vswrpt as the input journal.

These options cannot be used in combination.

Detail and Scope

vswrpt always produces a summary report of the results of the test run in the input journal. It can also provide detailed information about the execution of Test Cases and Test Purposes. Three options control what additional information is reported.

-d detail

Specifies the level of detail to be provided.

0 - All information output by the test run.

1 - All information but information output during the build stage truncated after 10 lines.

2 - Nothing - no detail information is generated.

3 - Results only

4 - Assertions and results only.

The default level of detail is 1.

-s scope

Specifies the type of Test Purposes for which the requested detailed information will be reported.

0 - All Test Purposes.

1 - Tests Purposes with result codes of FAIL, UNRESOLVED, UNINITIATED NORESULT, WARNING, or FIP.

2 - Test Purposes with result codes of UNINITIATED.

3 - Test Purposes with result codes of UNSUPPORTED.

4 - Test Purposes with result codes of WARNING or FIP.

5 - Test Purposes with result codes of NOTINUSE.

6 - Test Purposes with result codes of UNTESTED.

7 - Test Purposes with result codes of NORESULT.

The default scope of detail is 1.

-t test_case

Report additional information only for the Test Case test_case.

The default is to report information for all Test Cases.

These options may be used in combination.

Other Options

-h  Display usage information.

-v  Display program version.

-w  Do not report on a specific journal but rather print a summary of the journals in $TET_ROOT/vsw5/results.

FIP RESULTS
A Further Information Provided (FIP) result code indicates that manual analysis is required to resolve an anomaly. In some cases FIP results are generated by Test Purposes themselves but primarily they are produced during report generation. If compiler warnings are present in the journal for the build phase of a test suite file and the result of a Test Purpose in that file would otherwise be PASS vswrpt changes the result to FIP. This indicates the compiler warnings must be manually examined and either corrected or justified.

UNINITIATED RESULTS
An UNINITIATED result code indicate that a Test Purpose was not executed, usually due to a compiler error during the build phase. vswrpt is aware of which Test Purposes are executed and will report result of UNINITIATED for each Test Purpose which is not run. This indicates that the compiler error should be corrected and the test re-run.

REPORT FORMATS
The summary report produced by vswrpt has two formats, depending on whether a Section or Sections of VSW5 were run or merely one or more specific Test Cases. Each report format provides a summary of the result codes reported by the Test Purposes in the test run.

Detail information varies in format depending on what is requested with the -d option.

If all detail information is requested (-d 0 or 1), for each Test Purpose in the requested scope the assertion is given followed by all the messages output by the Test Purpose followed by the result code reported. If compiler detail is requested (-d 0), compiler messages causing FIP or UNINITIATED result codes are also given.

Within the messages output by Test Purposes indenting is used to indicate the context (e.g. parent process, child process, etc.) which produced the message. Each new context created causes vswrpt to indent Test Purpose messages an additional two spaces.

Subsets of the full detail information are produced if detail information containing only results and assertions or results only is requested.

ERRORS
If the number of Test Purposes in a Test Case or Section does not match the expected number vswrpt will print error messages following the summary report.

If the activity numbers of statements in the journal file are not sequential vswrpt will print an error message to stderr. No report is generated.

vswrpt will print an error and usage message to stderr if illegal options are specified. No report is generated.

vswrpt will print an error message to stderr if format errors are encountered in the journal file. No report is generated.

SEE ALSO

vswrptm

Copyright (c) 1994, 1995 Applied Testing and Technology, Inc.